OpenVDB 12.1.0

Loading...
Searching...
No Matches
Magnitude< InGridT, MaskGridType, InterruptT > Class Template Reference

`#include <openvdb/tools/GridOperators.h>`

## Classes
struct | Functor
struct | OpT

## Public Types
typedef InGridT | InGridType
typedef VectorToScalarConverter< InGridT >::Type | OutGridType

## Public Member Functions
| Magnitude (const InGridType &grid, InterruptT *interrupt=nullptr)
| Magnitude (const InGridType &grid, const MaskGridType &mask, InterruptT *interrupt=nullptr)
OutGridType::Ptr | process (bool threaded=true)

## Protected Attributes
const InGridType & | mInputGrid
InterruptT * | mInterrupt
const MaskGridType * | mMask

## Member Typedef Documentation

## ◆ InGridType

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

typedef InGridT InGridType

## ◆ OutGridType

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

typedef VectorToScalarConverter<InGridT>::Type OutGridType

## Constructor & Destructor Documentation

## ◆ Magnitude() [1/2]

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

Magnitude | ( | const InGridType & | grid,
|  | InterruptT * | interrupt = nullptr )
| inline

## ◆ Magnitude() [2/2]

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

Magnitude | ( | const InGridType & | grid,
|  | const MaskGridType & | mask,
|  | InterruptT * | interrupt = nullptr )
| inline

## Member Function Documentation

## ◆ process()

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

OutGridType::Ptr process | ( | bool | threaded = true | ) |
| inline

## Member Data Documentation

## ◆ mInputGrid

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

const InGridType& mInputGrid
| protected

## ◆ mInterrupt

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

InterruptT* mInterrupt
| protected

## ◆ mMask

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

const MaskGridType* mMask
| protected